package com.chenyang.nse.bussiness.service.console;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseGroup;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseGroupmenu;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseGrouprole;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseUser;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseUsergroup;
import java.util.List;
import java.util.Map;

public interface UserGroupService {
   List<TBaseGroup> query(PageInfo pageInfo);

   TBaseGroup queryGroupByUserId(String userId);

   TBaseGroup queryGroupByGroupName(String groupName);

   List<TBaseUser> queryUserByGroupId(String groupId);

   void remove(List<String> idlist);

   boolean checkNameExit(String deptname);

   void save(TBaseGroup group);

   List<TBaseGroup> queryallgroups();

   void saveUserGroup(TBaseUsergroup userGroup);

   void removeUserGroupByUserId(String userid);

   TBaseGroup queryGroupByFlag(String flag);

   void removeGroupByid(String groupid);

   TBaseGroup queryGroupByid(String groupid);

   List<TBaseUsergroup> queryUsergroupBygroupid(String groupid);

   TBaseGroup saveGroup(TBaseGroup group);

   void saveGroupRole(TBaseGroup group, List<String> idList);

   void saveGroupMenu(TBaseGroup group, List<String> idList);

   List<TBaseGrouprole> querygroupRoleBygroupid(String groupid);

   List<TBaseGroupmenu> querygroupMenuBygroupid(String groupid);

   List<TBaseGroup> query(PageInfo pageInfo, Map<String, Object> params);
}
